StrandedFeature.Strand (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.StrandedFeature.Strand class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Class StrandedFeature.Strand

    java.lang.Object
      org.biojava.bio.seq.StrandedFeature.Strand

All Implemented Interfaces:
  Serializable

Enclosing interface:
  StrandedFeature

    public static final class StrandedFeature.Strand

extends Object
implements Serializable

Class to represent the 'strandedness' of a feature.

Strandedness may be re-used in other situations, but basically what it means is whether the feature has directionality, and if it does, does it travel from its location min to max, or max to min.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Method Summary
`StrandedFeature.Strand` | `flip()` Return a strand that represents flipping this onto the opposite strand.
`char` | `getToken()` Returns the token for strandedness.
`int` | `getValue()` Returns the integer label for strandedness.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getValue

    public int getValue()

  Returns the integer label for strandedness. That is, "+1", "-1", or "0" for positive, negative, and unknown strands respectively.

### getToken

    public char getToken()

  Returns the token for strandedness. That is, "+","-","." for positive, negative and unknown strands respectively.

### flip

    public StrandedFeature.Strand flip()

  Return a strand that represents flipping this onto the opposite strand.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD